//
//  UIGestureRecognizer+Actions.swift
//  SBrowser
//
//  Created by James Magahern on 7/31/20.
//

import UIKit

extension UIGestureRecognizer
{
    convenience init(action: UIAction) {
        self.init(target: action, action: NSSelectorFromString("_performActionWithSender:"))
        objc_setAssociatedObject(self, "associatedUIAction", action, .OBJC_ASSOCIATION_RETAIN)
    }
}
